libquicktime-devel-1.2.4-alt5.i586.rpm


Advertisement

Description

libquicktime-devel - Header files for libquicktime

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package name libquicktime-devel
Package version 1.2.4
Package release alt5
Package architecture i586
Package type rpm
Installed size 143.26 KB
Download size 143.26 KB
Official Mirror ftp.altlinux.org
Header files for libquicktime.

Alternatives

Package Version Architecture Repository
libquicktime-devel-1.2.4-alt5.x86_64.rpm 1.2.4 x86_64 Classic
libquicktime-devel - - -

Requires

Name Value
/usr/lib/pkgconfig -
glib2-devel -
libavc1394-devel -
libdv-devel -
libjpeg-devel -
libogg-devel -
libpng-devel -
libquicktime111-core = 1.2.4-alt5
libraw1394-devel -
libvorbis-devel -
rpmlib(PayloadIsLzma) -
zlib-devel -

Provides

Name Value
libquicktime-devel = 1.2.4-alt5
pkgconfig(libquicktime) = 1.2.4

Download

Type URL
Binary Package libquicktime-devel-1.2.4-alt5.i586.rpm
Source Package libquicktime111-1.2.4-alt5.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libquicktime-devel rpm package:
    # sudo apt-get install libquicktime-devel

Files

Path
/usr/include/lqt/colormodels.h
/usr/include/lqt/compression.h
/usr/include/lqt/lqt.h
/usr/include/lqt/lqt_atoms.h
/usr/include/lqt/lqt_codecinfo.h
/usr/include/lqt/lqt_qtvr.h
/usr/include/lqt/lqt_version.h
/usr/include/lqt/quicktime.h
/usr/lib/libquicktime.so
/usr/lib/pkgconfig/libquicktime.pc

Changelog

2017-06-03 - Anton Farygin <rider@altlinux.ru> 1.2.4-alt5
- rebuilt with debuginfo-enabled ffmpeg
2017-06-03 - Anton Farygin <rider@altlinux.ru> 1.2.4-alt4
- rebuilt with  ffmpeg-3.3.1
- fixed integer overflow in the quicktime_read_pascal (Fixes: CVE-2016-2399)
2016-03-09 - Sergey Bolshakov <sbolshakov@altlinux.ru> 1.2.4-alt3
- rebuilt with recent libav/libx264
2015-01-02 - Sergey Bolshakov <sbolshakov@altlinux.ru> 1.2.4-alt2
- rebuilt with libav11
2014-05-13 - Sergey Bolshakov <sbolshakov@altlinux.ru> 1.2.4-alt1
- 1.2.4 released
2013-09-12 - Sergey Bolshakov <sbolshakov@altlinux.ru> 1.2.2-alt1.6
- rebuilt with recent libav/libx264
2012-09-26 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.2.2-alt1.5
- Rebuilt with libpng15
2012-01-31 - Sergey Bolshakov <sbolshakov@altlinux.ru> 1.2.2-alt1.4
- artificial req on libffmpeg dropped
2012-01-30 - Sergey Bolshakov <sbolshakov@altlinux.ru> 1.2.2-alt1.3
- rebuilt with recent libav/x264, again
2011-08-01 - Sergey Bolshakov <sbolshakov@altlinux.ru> 1.2.2-alt1.2
- rebuilt with recent libav/x264

See Also

Package Description
libquicktime111-core-1.2.4-alt5.i586.rpm library for reading and writing QuickTime files
libquicktime111-faad2-1.2.4-alt5.i586.rpm Libquicktime plugin supporting the Faad2 codec
libquicktime111-ffmpeg-1.2.4-alt5.i586.rpm Libquicktime plugin supporting the ffmpeg codec
libquicktime111-lame-1.2.4-alt5.i586.rpm Libquicktime plugin supporting the Lame codec
libquicktime111-plugins-1.2.4-alt5.i586.rpm Set of libquicktime plugins to support additional formats
libquicktime111-utils-1.2.4-alt5.i586.rpm Useful tools to operate at QuickTime files
libquicktime111-vorbis-1.2.4-alt5.i586.rpm Libquicktime plugin supporting the Ogg Vorbis codec
libquicktime111-x264-1.2.4-alt5.i586.rpm Libquicktime plugin supporting the x264 codec
libqupzilla2-2.2.6-alt1.i586.rpm qupzilla library
libqutim-0.3.2-alt3.3.i586.rpm Shared library for qutIM
libqutim-adiumchat-0.3.2-alt3.3.i586.rpm Shared library for qutIM
libqutim-adiumchat-devel-0.3.2-alt3.3.i586.rpm Development files for qutim
libqutim-adiumwebview-0.3.2-alt3.3.i586.rpm qutIM Adium webview shared library
libqutim-adiumwebview-devel-0.3.2-alt3.3.i586.rpm Development files for qutIM Adium webview
libqutim-devel-0.3.2-alt3.3.i586.rpm Development files for qutim
Advertisement
Advertisement